A vulnerability in VMWare has prompted a warning that companies—and government agencies—need to patch as soon as possible.